Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1494152 - Unable to apply errata with filters Include all RPMs with no errata and Date
Summary: Unable to apply errata with filters Include all RPMs with no errata and Date
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.2.11
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-21 14:38 UTC by Lukas Zapletal
Modified: 2019-08-12 14:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-15 13:18:22 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Lukas Zapletal 2017-09-21 14:38:16 UTC
1) Sync 7Server repo
2) Create a CV with RHEL repo above.
3) Create RPM include filter named Base_Rpm and check "Include all RPMs with no errata."
4) Create Errata (Date and Type) include filter named Errata_To, check all errata types and set End Date to 03-August-2017
5) Publish CV
6) Install RHEL 7.0 client (no updates), register and attach to the CV
7) Apply random security erratas.

Some are processed correctly, but others are not. Example error:

[u'ERROR with transaction check vs depsolve:', 'grub2-tools = 1:2.02-0.33.el7_2 is needed by grub2-1:2.02-0.33.el7_2.x86_64']

Comment 2 Justin Sherrill 2017-09-21 14:57:29 UTC
Manual yum run:

[root@smqa-x3550m3-02-vm01 ~]# yum update grub2-2.02-0.17.el7_1.4  grub2-tools-2.02-0.17.el7_1.4
Loaded plugins: enabled_repos_upload, package_upload, product-id, subscription-manager
rhel-7-server-rpms                                                                                                                                | 2.0 kB  00:00:00     
Resolving Dependencies
--> Running transaction check
---> Package grub2.x86_64 1:2.02-0.2.10.el7 will be updated
---> Package grub2.x86_64 1:2.02-0.17.el7_1.4 will be an update
--> Processing Dependency: grub2-tools = 1:2.02-0.17.el7_1.4 for package: 1:grub2-2.02-0.17.el7_1.4.x86_64
---> Package grub2-tools.x86_64 1:2.02-0.2.10.el7 will be obsoleted
---> Package grub2-tools-extra.x86_64 1:2.02-0.64.el7 will be obsoleting
--> Processing Dependency: grub2-tools-minimal = 1:2.02-0.64.el7 for package: 1:grub2-tools-extra-2.02-0.64.el7.x86_64
--> Processing Dependency: grub2-common = 1:2.02-0.64.el7 for package: 1:grub2-tools-extra-2.02-0.64.el7.x86_64
--> Running transaction check
---> Package grub2-common.noarch 1:2.02-0.64.el7 will be installed
---> Package grub2-tools.x86_64 1:2.02-0.2.10.el7 will be updated
---> Package grub2-tools.x86_64 1:2.02-0.17.el7_1.4 will be an update
---> Package grub2-tools-minimal.x86_64 1:2.02-0.64.el7 will be obsoleting
Removing grub2-tools.x86_64 1:2.02-0.17.el7_1.4 - u due to obsoletes from grub2-tools-minimal.x86_64 1:2.02-0.64.el7 - u
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package grub2-tools.x86_64 1:2.02-0.17.el7_1.4 will be an update
--> Processing Dependency: grub2-tools = 1:2.02-0.17.el7_1.4 for package: 1:grub2-2.02-0.17.el7_1.4.x86_64
--> Finished Dependency Resolution
Error: Package: 1:grub2-2.02-0.17.el7_1.4.x86_64 (rhel-7-server-rpms)
           Requires: grub2-tools = 1:2.02-0.17.el7_1.4
           Removing: 1:grub2-tools-2.02-0.2.10.el7.x86_64 (@beaker-Server/7.0)
               grub2-tools = 1:2.02-0.2.10.el7
           Obsoleted By: 1:grub2-tools-extra-2.02-0.64.el7.x86_64 (rhel-7-server-rpms)
               Not found
           Updated By: 1:grub2-tools-2.02-0.17.el7_1.4.x86_64 (rhel-7-server-rpms)
               grub2-tools = 1:2.02-0.17.el7_1.4
           Available: 1:grub2-tools-2.02-0.16.el7.x86_64 (rhel-7-server-rpms)
               grub2-tools = 1:2.02-0.16.el7
           Available: 1:grub2-tools-2.02-0.29.el7.x86_64 (rhel-7-server-rpms)
               grub2-tools = 1:2.02-0.29.el7
           Available: 1:grub2-tools-2.02-0.33.el7_2.x86_64 (rhel-7-server-rpms)
               grub2-tools = 1:2.02-0.33.el7_2
           Available: 1:grub2-tools-2.02-0.34.el7_2.x86_64 (rhel-7-server-rpms)
               grub2-tools = 1:2.02-0.34.el7_2
           Available: 1:grub2-tools-2.02-0.44.el7.x86_64 (rhel-7-server-rpms)
               grub2-tools = 1:2.02-0.44.el7
           Available: 1:grub2-tools-2.02-0.64.el7.x86_64 (rhel-7-server-rpms)
               grub2-tools = 1:2.02-0.64.el7
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 3 Lukas Zapletal 2017-09-21 15:12:07 UTC
I can reproduce the customers error with:

[root@smqa-x3550m3-02-vm01 ~]# yum upgrade emacs-filesystem-24.3-20.el7_4
Loaded plugins: enabled_repos_upload, package_upload, product-id, subscription-manager
rhel-7-server-rpms                                                                         | 2.0 kB  00:00:00
No Match for argument: emacs-filesystem-24.3-20.el7_4
No package emacs-filesystem-24.3-20.el7_4 available.
No packages marked for update
Uploading Enabled Reposistories Report
Loaded plugins: product-id


[root@smqa-x3550m3-02-vm01 ~]# yum upgrade emacs-filesystem
Loaded plugins: enabled_repos_upload, package_upload, product-id, subscription-manager
rhel-7-server-rpms                                                                         | 2.0 kB  00:00:00
Resolving Dependencies
--> Running transaction check
---> Package emacs-filesystem.noarch 1:24.3-11.el7 will be updated
---> Package emacs-filesystem.noarch 1:24.3-19.el7_3 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

==================================================================================================================
 Package                      Arch               Version                     Repository                      Size
==================================================================================================================
Updating:
 emacs-filesystem             noarch             1:24.3-19.el7_3             rhel-7-server-rpms              58 k

Transaction Summary
==================================================================================================================
Upgrade  1 Package

Total download size: 58 k
Is this ok [y/d/N]: Nope

So it looks like the way how yum applies erratas does not work back in time. Justin can you confirm and explain this in more detail, provide some workaround if possible?

Comment 6 Craig Donnelly 2018-02-02 18:19:02 UTC
Was the customers environment based off of the errata filter date of 3-Aug-17 as well?

That errata was not available then:

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: emacs security update
Advisory ID:       RHSA-2017:2771-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2017:2771
Issue date:        2017-09-19
CVE Names:         CVE-2017-14482 
=====================================================================
noarch:
emacs-filesystem-24.3-20.el7_4.noarch.rpm

As far as the problem with grub2/grub2-tools - this is not likely to be something you are going to come up with a clean resolution for on the Satellite side, as most of the issues around that package have been introduced by RHEL Dev due to the decision to break the package down into more deps which were then split out in the the rhel-7-server-optional-rpms repository.

Most of the data and issues there lie within content that is inside the repositories @ the CDN level and inside the SPEC files of those packages.

Relateable to : https://access.redhat.com/solutions/3140461 and BZ #1484042

While these versions don't match, I would not be surprised if somehow related.

I would like to verify the customer case however, by getting their exact filters to understand if there is actually a sat-filter issue or just a mistaken date.

Thanks.

Comment 11 Justin Sherrill 2018-03-15 13:18:22 UTC
After a review of this customer case it was determined by CEE as potentially a temporary issue with cdn content, and not currently reproducible.  Closing as NOTABUG


Note You need to log in before you can comment on or make changes to this bug.